Class Fox::FXFileAssoc

In: | FXFileDict.rb
Parent: | Object

Registers stuff to know about the extension

Methods

new

Attributes

bigicon | [RW] | Big normal icon [FXIcon]
bigiconopen | [RW] | Big open icon [FXIcon]
command | [RW] | Command to execute [String]
dragtype | [RW] | Registered drag type [FXDragType]
extension | [RW] | Full extension name [String]
flags | [RW] | Flags [Integer]
mimetype | [RW] | Mime type name [String]
miniicon | [RW] | Mini normal icon [FXIcon]
miniiconopen | [RW] | Mini open icon [FXIcon]

Public Class methods

new()

Returns an initialized FXFileAssoc instance